﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
	static int particularRowIndex = 0;
    protected void Page_Load(object sender, EventArgs e)
	{
			WebDataGrid1.DataSource = GridDataSource();
	
		//this.WebDataGrid1.Behaviors.EditingCore.RowUpdated +=new Infragistics.Web.UI.GridControls.RowUpdatedHandler(EditingCore_RowUpdated);
    }

	private DataTable GridDataSource()
	{
		// Create a new DataTable.
		DataTable table = new DataTable("Table");
		// Declare variables for DataColumn and DataRow objects.
		DataColumn column;
		DataRow row;

		// Create new DataColumn, set DataType, 
		// ColumnName and add to DataTable.    
		column = new DataColumn();
		column.DataType = System.Type.GetType("System.Int32");
		column.ColumnName = "id";
		column.ReadOnly = true;
		// Add the Column to the DataColumnCollection.
		table.Columns.Add(column);

		// Create second column.
		column = new DataColumn();
		column.DataType = System.Type.GetType("System.String");
		column.ColumnName = "Item";
		column.AutoIncrement = false;
		column.Caption = "Item";
		column.ReadOnly = false;
		column.Unique = false;
		// Add the column to the table. 
		table.Columns.Add(column);

		// Create third column.
		column = new DataColumn();
		column.DataType = System.Type.GetType("System.String");
		column.ColumnName = "Data";
		column.AutoIncrement = false;
		column.Caption = "Data";
		column.ReadOnly = false;
		column.Unique = false;
		// Add the column to the table.
		table.Columns.Add(column);


		// Make the ID column the primary key column.
		DataColumn[] PrimaryKeyColumns = new DataColumn[1];
		PrimaryKeyColumns[0] = table.Columns["id"];
		table.PrimaryKey = PrimaryKeyColumns;



		for (int i = 0; i <= 500; i++)
		{
			row = table.NewRow();
			row["id"] = i;
			row["Item"] = "Item " + i;
			row["Data"] = "Data " + i;
			table.Rows.Add(row);
		}
		return table;

	}

	//public Infragistics.Web.UI.GridControls.RowUpdatedHandler EditingCore_RowUpdated { get; set; }
	protected void WebDataGrid1_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
	{

		if (e.Row.Items[1].Value.ToString() == "Item 300") 
		{
			particularRowIndex = e.Row.Index;
		}
	}
	protected void WebDataGrid1_PreRender(object sender, EventArgs e)
	{
		WebDataGrid1.Behaviors.Selection.SelectedRows.Add(WebDataGrid1.Rows[particularRowIndex]);
		WebDataGrid1.Behaviors.Activation.ActiveCell = WebDataGrid1.Rows[particularRowIndex].Items[1];
		WebDataGrid1.ScrollTop = 31 * particularRowIndex;
	}
}